## mgetty 1.2.1

=== Makefile ===
# Makefile fuer 'pbm2styl800'
#
# (C) 9/1995 Tilman Kuepper (tilman@tilli.tng.oche.de)
#
# $Date: 1995/09/07 01:27:58 $
# $Revision: 1.0 $
# $State: Released $

# Compiler:
CC	= cc

# Compiler-Flags:
CFLAGS	= -O2 -Wall

# Ausfuehrbares Programm:
pbm2styl800: pbm2styl800.o
	$(CC) $(CFLAGS) -o pbm2styl800 pbm2styl800.o

# Objektdatei:
pbm2styl800.o: pbm2styl800.c
	$(CC) $(CFLAGS) -c pbm2styl800.c

#
# Objektdatei und Muell loeschen:
#
clean: 
	rm -f pbm2styl800.o pbm2styl800.c~ Makefile~ README~ pbm2styl800.1~

#
# TAR-Archiv erstellen
#
tar:
	tar zcvf pbm2styl800.tar.gz pbm2styl800.c Makefile README pbm2styl800.1
