=== debian/control ===
Source: mgetty
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Andreas Barth <aba@ayous.org>
Section: comm
Priority: optional
Build-Depends: debhelper-compat (= 13),
               texi2html,
               texinfo,
               texlive,
               groff,
               libx11-dev,
               patch,
               perl,
               po-debconf
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/mgetty
Vcs-Git: https://salsa.debian.org/salvage-team/mgetty.git
Homepage: http://mgetty.greenie.net/
Rules-Requires-Root: no

Package: mgetty
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         install-info
Recommends: logrotate
Suggests: mgetty-fax
Replaces: mgetty-docs
Description: Smart Modem getty replacement
 Mgetty is a versatile program to handle all aspects of a modem under Unix.
 .
 The program 'mgetty' allows you to use a modem for handling external
 logins, receiving faxes and using the modem as a answering machine without
 interfering with outgoing calls.
 .
 This package includes basic modem data capabilities. Install mgetty-fax to
 get the additional functionality for fax. Install mgetty-voice to get the
 functionality to operate voice modems.
 .
 Mgetty is also configurable to select programs other than login for special
 connections (eg: uucico, fido or other programs) depending on the login
 userid. It also supports caller-id if the modem and phone line supply it,
 and can deny connections based on originating telephone number.

Package: mgetty-fax
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         cron,
         mgetty (= ${binary:Version}),
         ${perl:Depends}
Suggests: netpbm,
          ghostscript,
          mgetty-viewfax (>= ${binary:Version})
Replaces: mgetty
Description: Faxing tools for mgetty
 The fax subsystem of the mgetty package.
 .
 This subsystems has the enhancements that are needed to send and receive
 faxes with mgetty and a Class 2 faxmodem.
 .
 The program 'mgetty' allows you to use a fax modem for receiving faxes
 and handling external logins without interfering with outgoing calls.

Package: mgetty-viewfax
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Program for displaying Group-3 Fax files under X
 The program 'viewfax' allows you to view Group-3 fax files in an X window.
 Group-3 is the "standard" format for faxes.

Package: mgetty-voice
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mgetty (= ${binary:Version})
Suggests: mgetty-pvftools
Description: Voicemail handler for mgetty
 Vgetty allows you to add answering machine / voicemail capability to all
 the other normal mgetty functions.
 .
 The program 'mgetty' allows you to use a voice modem as an answering
 machine and handling external logins without interfering with outgoing
 calls.
 .
 To create and manipulate voice messages, you need the mgetty-pvftools
 package.

Package: mgetty-pvftools
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: ${misc:Depends}
Description: Programs for listening and manipulating pvf and rmd files
 This package contains different utilities from the vgetty package which
 permit to create, listen and manipulate rmd or pvf files. These files are
 the recorded "message files" for using a voice modem as an answering
 machine.
 .
 You will want to install this package to create your greeting messages.

Package: mgetty-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation Package for mgetty
 Sample files and lots of documentation for mgetty. Additional source code
 for programs included that allow to set up a user interface for mgetty.
