=== debian/watch ===
version=4
opts=pasv ftp://mgetty.greenie.net/pub/mgetty/source/1.2/mgetty-@ANY_VERSION@@ARCHIVE_EXT@
